Bug 1701923 - sigul fails to build or install due to missing dependencies
Summary: sigul fails to build or install due to missing dependencies
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sigul
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1675996 (view as bug list)
Depends On:
Blocks: F30FTBFS PY2FTBI F31FTBFS F31FailsToInstall 1732841
TreeView+ depends on / blocked
 
Reported: 2019-04-22 13:18 UTC by Miro Hrončok
Modified: 2019-08-09 16:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 16:54:30 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-04-22 13:18:36 UTC
$ mock -r fedora-rawhide-x86_64 install sigul
...
Error: 
 Problem: conflicting requests
  - nothing provides python2-nss >= 0.11 needed by sigul-0.207-6.fc29.x86_64

Please fix this or retire the package.

Comment 1 Miro Hrončok 2019-04-29 20:06:11 UTC
A week has passed and this bug is still in the NEW state and the package does not install.

Please fix this or indicate that you are working ona  fix by setting the state to ASSIGNED.

After 3 such reminders, this package may be orphaned.

https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

Thanks

Comment 2 Miro Hrončok 2019-05-06 14:15:02 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(My previous comment might have come across a bit too aggressive. I'm sorry, that was not my intention.)

(If you know for sure this package shall be removed, consider doing it.)

Thank You!

Comment 3 Miro Hrončok 2019-05-13 07:40:56 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 4 Miro Hrončok 2019-05-20 11:21:35 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 5 Patrick Uiterwijk 2019-05-20 19:13:09 UTC
So, I have a fix merged in fact that's waiting for a new release.
I'm trying to finish py3 support, and then I should have this released.

Comment 6 Patrick Uiterwijk 2019-05-20 19:13:33 UTC
*** Bug 1675996 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Release Engineering 2019-08-08 16:54:30 UTC
The package was retired.

Comment 8 John Florian 2019-08-09 14:01:02 UTC
I am confused -- I read py3 support is coming and then I read sigul is retired.  Is there an alternative to sigul for signing koji builds?

Comment 9 Miro Hrončok 2019-08-09 14:09:27 UTC
Here: https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

"A week before the mass branching, any packages which still have open FTBFS bugs from the previous release will be retired."

Once the package is ready to build again, it can be unretired.

The package wasn't installable, so not having it at all is not any worse.

Comment 10 John Florian 2019-08-09 16:01:20 UTC
Miro, thanks for responding!

I agree with the policy and rationale, but my understanding is that the Fedora Project uses (or used) sigul to sign its packages.  If FPO no longer uses sigul, I'd like to know what is used now or what alternatives exist since I need *something* to fill that role.

I am unaware of any other software that does this, but FPO *must* be using *something*.  I follow the rel-eng ML and haven't seen any discussion there about this nor do I get any hint with all the Google searches I've tried.  I asked on the devel ML once directly and didn't get a reply.  I was actually hoping sometime back that the FTBFS situation here would actually clear up some of these details, but it's almost as if they're being hidden, which seems very unlike the FPO or RH that I've known for eons.  Basically, I'm lost in the woods and can't find the next trail marker.

Comment 11 Miro Hrončok 2019-08-09 16:12:48 UTC
Unfortunately, I don't really know anything about sigul deployment. Since it doesn't install, I guess that either the signing doesn't happen on recent Fedora versions (aka rawhide packages are not signed with sigul running on rawhide) or the team has osme extra packages in the repo.

I'd help you if I knew this kind of things, but I don't. I'm sorry.


Note You need to log in before you can comment on or make changes to this bug.